
// MultiTimeServer.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Tento server používá multicasting pro zasílání UDP-paketů
   každou sekundu obsahujících aktuální datum.
*/

import java.net.*;
import java.io.*;
import java.util.*;

public class MultiTimeServer
{
  private static final String MHOST = "228.5.6.7";
  private static final int PORT = 6789;
 
  public static void main(String args[]) throws Exception
  {                
     InetAddress address = InetAddress.getByName(MHOST);        
     MulticastSocket msock = new MulticastSocket(PORT);
     msock.joinGroup(address);

     DatagramPacket packet;
     System.out.print("Tikání");
     while(true){ 
       Thread.sleep(1000);
       System.out.print(".");
       String str = (new Date()).toString();
       packet = new DatagramPacket(str.getBytes(), str.length(), address, PORT);          
       msock.send(packet); 
     } 
  }  // konec metody: main()    
         
} // konec třídy: MultiTimeServer

